/** 
 * @(#)About.java
 */

/**
 * @author Didier Gutacker
 * @version 1.0, 12.08.97 
 */

import java.awt.*;
import java.applet.*;

class About extends Dialog {
 
   private Button ok;
   Panel aboutpanel;
   Panel schalter;   
 
   /** Konstruktur. */

   public About(Frame parent)
    {
       super(parent,"About HotPotato-Routing",true);
       aboutpanel = new Panel();
       aboutpanel.setLayout(new GridLayout(9,1));
       aboutpanel.add(new Label("Animation of a Routing-Algorithm",Label.CENTER));
       aboutpanel.add(new Label("HotPotato",Label.CENTER));
       aboutpanel.add(new Label("is a seminar paper",Label.CENTER));
       aboutpanel.add(new Label("at the professorship PI IV",Label.CENTER));
       aboutpanel.add(new Label("Prof. Effelsberg",Label.CENTER));
       aboutpanel.add(new Label("from the University Mannheim",Label.CENTER));
       aboutpanel.add(new Label("Author Didier Gutacker-",Label.CENTER));
       aboutpanel.add(new Label("Student of commercial information technology",Label.CENTER));
       aboutpanel.add(new Label("in 1997",Label.CENTER));

       schalter = new Panel();
       schalter.add( ok = new Button("Ok"));
     
       setLayout( new BorderLayout() );
       add("North",aboutpanel);
       add("South",schalter);
    } // About.About
  
   public boolean handleEvent(Event evt) {
      if (evt.id == Event.WINDOW_DESTROY&& evt.target == this) 
        {
          this.hide();
          this.dispose();
          return true;
        } // if
      return super.handleEvent(evt);
   } // About.handleEvent

  public boolean action(Event evt, Object arg)
   {
      if (arg.equals("Ok")) {
                               this.hide();
                               this.dispose();
      }                
      else {
        return false;
      } // if
      return true;
   } // About.action  

} // About



