/** 
 * @(#)Datenpaket.java
 */

/**
 * @author Didier Gutacker
 * @version 1.0 
 */

class Datenpaket extends Object
{
  private int zielknoten;
  private int id = 0;
  private int startknoten;
  private static int anzahl=0;

  /** Konstruktor */

  public Datenpaket(int von, int zu)
  {
    id = anzahl;
    startknoten = von;
    zielknoten = zu;
    anzahl++;
  } // Datenpaket.Datenpaket

  /**
   * Setzt den Zielknoten des Datenpakets 
   */

  public void setze_zielknoten(int temp)
  {
    zielknoten = temp;
  } // Datenpaket.setze_zielknoten

  /**
   *  Gibt den Zielknoten des Datenpakets zurueck
   */

  public int gib_zielknoten()
  {
    return zielknoten;
  } // Datenpaket.gib_zielknoten

  /**
   *  Gibt den Startknoten des Datenpakets zurueck
   */

  public int gib_startknoten()
  {
    return(startknoten);
  } // Datenpaket.gib_startknoten

  /**
   * Gibt die Datenpaketid zurueck
   */

  public int gib_id()
  {
    return(id);
  } // Datenpaket.gib_id

 /**
  *  Setzt den Startknoten des Datenpakets
  */

  public void setze_startknoten(int tmp)
  {
     startknoten = tmp;
  } // Datenpaket.setze_startknoten

  /**
   * Setzt die globale Anzahl an Datenpaketen zurueck
   */

  public static  void setze_anzahl_zurueck()
  {
    anzahl = 0;
  } // Datenpaket.setze_anzahl_zurueck

} // Datenpaket
