/** 
 * @(#)Hilfe.java
 */

/**
 * @author Didier Gutacker
 * @version 1.0 
 */

import java.awt.*;

public class Hilfe extends Frame {

  Button okayButton;
  String title = "A short tutorial about HotPotato-Routing";
  TextArea textArea;

  public Hilfe() {
    this.textArea = new TextArea( 15, 60 );
    textArea.setEditable( false );
    add( "Center", textArea );
    okayButton = new Button( "Ok" );
    add( "South", okayButton );
    pack();
    setTitle( title );
    textArea.appendText(" New : Reset the actual animation at the beginning\n");
    textArea.appendText(" Effelsberg-Demo : Choose the favourite example-network of Prof. Effelsberg\n");
    textArea.appendText(" Standard-Demo : Choose an example-network\n");
    textArea.appendText(" Start : start the animation\n");
    textArea.appendText(" Stop : interrupt the animation\n");
    textArea.appendText(" Pause : stop the animation\n");
    textArea.appendText(" Forward : continue the stopped animation\n");
    textArea.appendText(" Help : open this window\n");
    textArea.appendText(" start-node : choose a new start-node\n");
    textArea.appendText(" aim-node : choose a new aim-node\n");
    textArea.appendText(" queue-rate : choose the number of passes after which a new\n");
    textArea.appendText("                            data-packet can leave the queue\n"); 
    textArea.appendText(" End : close the animation window\n");
    textArea.appendText(" Animationspeed : choose the pause between drawing the new\n");
    textArea.appendText("                                                  data-packet during the animation\n");
    textArea.appendText(" change the actual node : klick on a node without pressing a button\n");
  } // Hilfe.Hilfe

   public boolean handleEvent(Event evt) {
      if (evt.id == Event.WINDOW_DESTROY&& evt.target == this) 
        {
          this.hide();
          this.dispose();
          return true;
        } // if
       return super.handleEvent(evt);
   } // Hilfe.handleEvent

  public boolean action(Event evt, Object arg)
   {
      if (arg.equals("Ok")) {
                               this.hide();
                               this.dispose();
      }                
      else {
        return false;
      } // if
      return true;
   }  // Hilfe.action
  
  
} // Hilfe
