/** 
 * @(#)Netzknoten.java
 */

/**
 * @author Didier Gutacker
 * @version 1.0, 12.08.97
 * @see Warteschlange 
 */

import java.awt.*;
import java.applet.*;

class Netzknoten extends Object
{
  private static final int maxqueues = 6;
  private int id;
  private String zustand;
  private int anzahl_queues = 0;
  private Warteschlange[] queues; 
  private int x;
  private int y;
 
  public Netzknoten()
  {
    zustand="knoten";
    id=0;
    x = 0;
    y = 0;
    queues = new Warteschlange[maxqueues];
  } // Netzknoten.Netzknoten 

  /**
   *  verbindet Knoten
   */

  public void verbinde_knoten(Netzknoten ziel)
  {
     Netzknoten tempknoten = ziel;
     if ( tempknoten == null )
       { System.out.println("Error at the Reference-transfer!"); }
       else
         {
            Warteschlange temp;
            temp = new Warteschlange();
            temp.setze_zielknoten(tempknoten); 
            queues[anzahl_queues] = temp;
            // System.out.println("Queue erzeugt!"); 
            anzahl_queues++;
	 } // if
  }  // Netzknoten.verbinde_knoten

  /**
   *  Gibt Knotenid zurueck 
   */

  public int gib_id()
   {
     return(id);
   } // Netzknoten.gib_id

  /**
   *  Gibt Knotenzustand zurueck
   */

  public String gib_zustand()
   {
     return(zustand);
   } // Netzknoten.gib_zustand
  
  /**
   *  Setzt Koordinaten des Knoten
   */

  public void setze_koordinaten(int a, int b)
    {
      x = a;
      y = b;
    } // Netzknoten.setze_koordinaten

  /**
   * Gibt x-Koordinate zurueck
   */

  public int gib_x()
    {
      return x; 
    } // Netzknoten.gib_x

  /**
   * Gibt y-Koordinate zurueck
   */

  public int gib_y()
    { 
      return y;
    } // Netzknoten.gib_y
 
  /**
   * Setzt Knotenid
   */

  public void setze_id(int ident)
  {
    id = ident;
  } // Netzknoten.setze_id

  /**
   * Setzt Knotenzustand
   */

 public void setze_zustand(String art)
  {
    zustand = art;
  } // Netzknoten.setze_zustand

  /**
   *  Gibt Warteschlange n  zurueck
   */ 

  public Warteschlange gib_queue ( int n)
  {
    return(queues[n]);
  } // Netzknoten.gib_queue

   /**
   * Gibt Anzahl der Warteschlangen zurueck
   */

  public int gib_queue_anzahl()
  {
    return(anzahl_queues);
  } // Netzknoten.gib_queue_anzahl     

   /**
   * Gibt den Zielknoten der Queue n zurueck
   */

  public Netzknoten gib_queue_ziel( int n )
  {
    return(queues[n].gib_zielknoten());
  } // Netzknoten.gib_queue_ziel

} // Netzknoten

