/** 
 * @(#)HotPotato.java
 */

/**
 * @author Didier Gutacker
 * @version 1.0
 * @see Oberflaeche
 * @see Hilfe 
 */

import java.awt.*;
import java.applet.*;

public class HotPotato extends Applet implements Runnable
{ 

  Font Textstil = new Font("Courier", Font.BOLD, 18);
  Oberflaeche Oberflaechenaufbau;
  Hilfe Hilfefenster;
  private Thread thread = null;
  public ThreadGroup threadgroup = null;

  public void init()
    {
      Button start = new Button("HotPotato");
      Button help = new Button("Help");
      add(start);
      add(help);
    } // Hotpotato.init     

  public void start()
   {
     if ( thread == null )
      {
        thread = new Thread(this);
        threadgroup = thread.getThreadGroup();
        thread.start();
        Oberflaechenaufbau = new Oberflaeche(this); 
      } // if
   } // HotPotato.start

  public void run()
   {
    thread.suspend();
   } // Hotpotato.run

  public void stop()
  {
    if (( thread != null ) && thread.isAlive() )
      { thread.stop();
      } // if
    thread = null;
    threadgroup = null; 
  } // Hotpotato.stop

  public void oeffne_fenster()
  {
    Oberflaechenaufbau.pack();
    Oberflaechenaufbau.resize(700,520);
    Oberflaechenaufbau.show();
  } // Hotpotato.oeffne_fenster

  public void oeffne_hilfe()
  {
    Hilfefenster = new Hilfe();
    Hilfefenster.pack();
    Hilfefenster.resize(620,450);
    Hilfefenster.show();
  } // Hotpotato.oeffne_hilfe

  public void paint( Graphics g )
   {
     g.setFont(Textstil);
     g.drawString("Simulation of HotPotato-Routing", 30, 60);
   } // Hotpotato.paint
    
   public boolean action(Event evt, Object arg)
   {
      if (arg.equals("HotPotato")){
        oeffne_fenster();
      } 
      else {
	if ( arg.equals("Help")) {
          oeffne_hilfe();
	}
        else {
          return false;
	} // if
      } // if
      return true;
      } // Hotpotato.action
  
  
} // Hotpotato
